<project
    xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
>
    <parent>
        <groupId>de.ugoe.cs.autoquest</groupId>
        <artifactId>autoquest</artifactId>
        <version>0.0.1-SNAPSHOT</version>
        <relativePath>../autoquest/pom.xml</relativePath>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>autoquest-ui-swt</artifactId>
    <name>autoquest-ui-swt</name>
    <licenses>
        <license>
            <name>The Apache Software License, Version 2.0</name>
            <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
        </license>
    </licenses>
    <scm>
        <url>${autoquest-scm-trunk-dir}/autoquest-ui-swt</url>
    </scm>
    <repositories>
        <repository>
            <id>swt-repo</id>
            <url>https://swt-repo.googlecode.com/svn/repo</url>
        </repository>
    </repositories>
    <dependencies>
        <dependency>
            <groupId>de.ugoe.cs</groupId>
            <artifactId>java-utils</artifactId>
            <version>0.0.1-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>de.ugoe.cs.autoquest</groupId>
            <artifactId>autoquest-core-events</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>de.ugoe.cs.autoquest</groupId>
            <artifactId>autoquest-core-assertions</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>de.ugoe.cs.autoquest</groupId>
            <artifactId>autoquest-core-usageprofiles</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>de.ugoe.cs.autoquest</groupId>
            <artifactId>autoquest-core-tasktrees</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>de.ugoe.cs.autoquest</groupId>
            <artifactId>autoquest-core-usability</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>${swt.groupId}</groupId>
            <artifactId>${swt.artifactId}</artifactId>
            <version>3.8</version>
        </dependency>
        <dependency>
            <groupId>org.eclipse</groupId>
            <artifactId>ui-forms</artifactId>
            <version>3.5</version>
        </dependency>
    </dependencies>

    <profiles>
        <profile>
            <id>Windows-x86</id>
            <activation>
                <os>
                    <family>windows</family>
                    <arch>x86</arch>
                </os>
            </activation>
            <properties>
                <swt.groupId>org.eclipse.swt</swt.groupId>
                <swt.artifactId>org.eclipse.swt.win32.win32.x86</swt.artifactId>
            </properties>
        </profile>
        <profile>
            <id>Windows-amd64</id>
            <activation>
                <os>
                    <family>windows</family>
                    <arch>amd64</arch>
                </os>
            </activation>
            <properties>
                <swt.groupId>org.eclipse.swt</swt.groupId>
                <swt.artifactId>org.eclipse.swt.win32.win32.x86_64</swt.artifactId>
            </properties>
        </profile>
        <profile>
            <id>Linux-x86</id>
            <activation>
                <os>
                    <family>linux</family>
                    <arch>x86</arch>
                </os>
            </activation>
            <properties>
                <swt.groupId>org.eclipse.swt</swt.groupId>
                <swt.artifactId>org.eclipse.swt.gtk.linux.x86</swt.artifactId>
            </properties>
        </profile>
        <profile>
            <id>Linux-i386</id>
            <activation>
                <os>
                    <family>linux</family>
                    <arch>i386</arch>
                </os>
            </activation>
            <properties>
                <swt.groupId>org.eclipse.swt</swt.groupId>
                <swt.artifactId>org.eclipse.swt.gtk.linux.x86</swt.artifactId>
            </properties>
        </profile>
        <profile>
            <id>Linux-x86_64</id>
            <activation>
                <os>
                    <family>linux</family>
                    <arch>x86_64</arch>
                </os>
            </activation>
            <properties>
                <swt.groupId>org.eclipse.swt</swt.groupId>
                <swt.artifactId>org.eclipse.swt.gtk.linux.x86_64</swt.artifactId>
            </properties>
        </profile>
        <profile>
            <id>Linux-amd64</id>
            <activation>
                <os>
                    <family>linux</family>
                    <arch>amd64</arch>
                </os>
            </activation>
            <properties>
                <swt.groupId>org.eclipse.swt</swt.groupId>
                <swt.artifactId>org.eclipse.swt.gtk.linux.x86_64</swt.artifactId>
            </properties>
        </profile>
        <profile>
            <id>Linux-ppc64</id>
            <activation>
                <os>
                    <family>linux</family>
                    <arch>ppc64</arch>
                </os>
            </activation>
            <properties>
                <swt.groupId>org.eclipse.swt</swt.groupId>
                <swt.artifactId>org.eclipse.swt.gtk.linux.ppc64</swt.artifactId>
            </properties>
        </profile>
    </profiles>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <configuration>
                    <archive>
                        <manifest>
                            <addClasspath>true</addClasspath>
                        </manifest>
                    </archive>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>